%define upstream_name Convert-BinHex
%define upstream_version 1.125

%global __requires_exclude perl\\(Mac::Files\\)

Summary:    Extract data from Macintosh BinHex files
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL
Group:      Development/Perl
Requires:   perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(autodie)
BuildRequires: perl(integer)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Convert::BinHex is used to extract data from Macintosh BinHex files

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS" 
# (sb) can't really do this - need a Radius server

%install
%make_install 

%files
%doc COPYING Changes LICENSE META.json META.yml MYMETA.yml README
%attr(755, root, root) %{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{perl_vendorlib}/Convert

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.125.0-3pclos2017
- rebuild against updates

